Skip to main content
`Ctrl`+`K`

# AOCreate

Creates an application ordering. That is an object that maps from an application ordering to a PETSc ordering and vice versa

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOCreate(MPI_Comm comm, AO *ao)

Collective

## Input Parameter

- comm - MPI communicator that is to share the `AO`

## Output Parameter

- ao - the new application ordering

## Options Database Key

- -ao_type <aotype> - create `AO` with particular format

- -ao_view - call `AOView()` at the conclusion of `AOCreate()`

## See Also

Application Orderings, `AO`, `AOView()`, `AOSetIS()`, `AODestroy()`, `AOPetscToApplication()`, `AOApplicationToPetsc()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

## Implementations

AOCreate_Basic() in src/vec/is/ao/impls/basic/aobasic.c
AOCreate_MemoryScalable() in src/vec/is/ao/impls/memscalable/aomemscalable.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages